package events

const (
	DEAFULT         = "http://localhost:8080"
	DISCOVERY_START = "/_api/collector/event/discovery/status/start"
)

type DiscoveryStartEvent struct {
	Message string
	Zone    int64
}

func (i DiscoveryStartEvent) GetUrl() string {
	return DEAFULT + DISCOVERY_START
}

func NewDiscoveryStartEvent(message string, cidr int64) *DiscoveryStartEvent {
	return &DiscoveryStartEvent{Message: message, Zone: cidr}
}
